Bug 186246 - rc.sysinit hangs on unclean boot
rc.sysinit hangs on unclean boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 09:54 EST by Tony C
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 21:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SysRq : Show State output during hang (14.87 KB, text/plain)
2006-03-22 20:58 EST, Tony C
no flags Details
/etc/fstab (732 bytes, text/plain)
2006-03-23 13:26 EST, Tony C
no flags Details
/etc/mtab (429 bytes, text/plain)
2006-03-23 13:28 EST, Tony C
no flags Details

  None (edit)
Description Tony C 2006-03-22 09:54:50 EST
Description of problem:

After an unclean shutdown (e.g., power fail), /etc/rc.d/rc.sysinit hangs at the
final ‘wait’ statement (line 658).  Booting can only be accomplished in this
circumstance if ‘ctrl-C’ is pressed and rc.sysinit is aborted.

A clean shutdown and power-up or reboot results in a normal boot sequence.

Version-Release number of selected component (if applicable):

Initscripts-8.11.1-1

How reproducible:

Every unclean shutdown.

Steps to Reproduce:
1.  FC4 system up-and-running  
2.  sync – then turn off or unplug (cringing the whole time)
3.  Turn on system.  Boot will hang in rc.sysinit as described
  
Actual results:

Boot hangs, with the last console message “Enabling swap space:  OK”
Control-C will abort rc.sysinit, and boot will continue

Expected results:

Expect system to recover from power failure without manual intervention necessary.

Additional info:

I placed some ‘echos’ in rc.sysinit to confirm that boot was hanging at the
‘wait’ statement.  

After liberally sprinkling some ‘wait’ and ‘echo’ statements around the
rc.sysinit script, it appears that the backgrounded statement that may be
hanging is:

action $"Mounting local filesystems: " mount -a -t
nonfs,nfs4,smbfs,ncpfs,cifs,gfs -O no_netdev

but I don’t know enough about what is going on here to assert that with
authority.  For the record, I have util-linux-2.12p-9.14 installed.
Comment 1 Bill Nottingham 2006-03-22 14:16:23 EST
If you enable sysrq, and hit alt-sysrq-t, what's it doing?
Comment 2 Tony C 2006-03-22 20:58:26 EST
Created attachment 126522 [details]
SysRq : Show State output during hang

This is the alt-sysrq-T output during the hang.
Comment 3 Tony C 2006-03-22 21:03:09 EST
I lost my comments when I attached the dmesg output, above!  But the short story
is that the attachment, above, is the alt-sysrq-T output produced in dmesg
during the hang.  I enabled sysrq by setting kernel.sysrq=1 in sysctl.conf, cut
power, turned back on, and then when rc.sysinit hung, hit alt-sysrq-T, followed
by ctrl-C to resume booting.  
Comment 4 Bill Nottingham 2006-03-23 12:15:39 EST
What does your /etc/fstab (and your stale /etc/mtab) look like?
Comment 5 Tony C 2006-03-23 13:26:59 EST
Created attachment 126559 [details]
/etc/fstab

This is my /etc/fstab after a 'hung' boot is ctl-C'd to get through rc.sysinit.
Comment 6 Tony C 2006-03-23 13:28:12 EST
Created attachment 126560 [details]
/etc/mtab

. . . and this is the corresponding /etc/mtab
Comment 7 Bill Nottingham 2006-03-23 13:43:10 EST
Hm, I don't suppose removing the /proc/nfs/nfsd from fstab helps?
Comment 8 Tony C 2006-03-23 23:16:09 EST
Will try removing /proc/nfs/nfsd from fstab, tomorrow.  Thx! -T
Comment 9 Tony C 2006-03-26 16:25:21 EST
Actually, it does help -- I commented out this line:

none /proc/fs/nfsd nfsd defaults 0 0

and the system comes up after a power fail!  I don't know exactly what that line
does -- nor do I understand why /proc/fs/nfds would know or care about an
unclean boot vs. a clean boot.  Will I notice any problems if I just leave this out?

Thanks!
Comment 10 Bill Nottingham 2006-03-27 14:48:11 EST
Not sure why it would care, but removing it should not cause any problems.
Comment 11 Tony C 2006-03-27 16:35:31 EST
When I was checking around the web to see if there were other reports of this
happening, I noticed there are alot of reports that boot hangs after the
"Enabling swap space: [OK]" message.  

Since that is how this error actually appears on-screen, I thought I would
mention it, in case someone else is having this problem and doesn't realize it
isn't related to swap space.
Comment 12 Christian Iseli 2007-01-19 19:17:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.